FreeMat

- Main Page
- Related Pages

vtkRenderLargeImage

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkRenderLargeImage provides methods needed to read a region from a file.

To create an instance of class vtkRenderLargeImage, simply invoke its constructor as follows

      obj = vtkRenderLargeImage

# Methods

The class vtkRenderLargeImage has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRenderLargeImage class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRenderLargeImage = obj.NewInstance ()`
- `vtkRenderLargeImage = obj.SafeDownCast (vtkObject o)`
- `obj.SetMagnification (int )` - The magnification of the current render window
- `int = obj.GetMagnification ()` - The magnification of the current render window
- `obj.SetInput (vtkRenderer )` - Indicates what renderer to get the pixel data from.
- `vtkRenderer = obj.GetInput ()` - Returns which renderer is being used as the source for the pixel data.
- `vtkImageData = obj.GetOutput ()` - Get the output data object for a port on this algorithm.